Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetServSearchParam

java.lang.Object
ru.bitel.bgbilling.modules.inet.common.bean.InetServSearchParam

public class InetServSearchParam extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `InetServSearchParam.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServSearchParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InetServSearchParam.Builder`
  `builder()`
  `String`
  `getIdentifier()`
  `IpRange`
  `getIp()`
  `String`
  `getLogin()`
  `String`
  `getMacAddress()`
  `int`
  `getServiceTypeId()`
  `String`
  `getTitle()`
  `int`
  `getVlan()`
  `boolean`
  `isLoginStrictCheck()`
  `InetServSearchParam`
  `setIdentifier(String identifier)`
  `InetServSearchParam`
  `setIp(IpRange ip)`
  `InetServSearchParam`
  `setLogin(String login)`
  `InetServSearchParam`
  `setLoginStrictCheck(boolean loginStrictCheck)`
  `InetServSearchParam`
  `setMacAddress(String macAddress)`
  `InetServSearchParam`
  `setServiceTypeId(int serviceTypeId)`
  `InetServSearchParam`
  `setTitle(String title)`
  `InetServSearchParam`
  `setVlan(int vlan)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetServSearchParam

    public InetServSearchParam()

- ## Method Details

  - ### getLogin

    public String getLogin()

  - ### getIp

    public IpRange getIp()

  - ### getServiceTypeId

    public int getServiceTypeId()

  - ### getVlan

    public int getVlan()

  - ### getTitle

    public String getTitle()

  - ### getIdentifier

    public String getIdentifier()

  - ### getMacAddress

    public String getMacAddress()

  - ### isLoginStrictCheck

    public boolean isLoginStrictCheck()

  - ### setLogin

    public InetServSearchParam setLogin(String login)

  - ### setIp

    public InetServSearchParam setIp(IpRange ip)

  - ### setServiceTypeId

    public InetServSearchParam setServiceTypeId(int serviceTypeId)

  - ### setVlan

    public InetServSearchParam setVlan(int vlan)

  - ### setTitle

    public InetServSearchParam setTitle(String title)

  - ### setIdentifier

    public InetServSearchParam setIdentifier(String identifier)

  - ### setMacAddress

    public InetServSearchParam setMacAddress(String macAddress)

  - ### setLoginStrictCheck

    public InetServSearchParam setLoginStrictCheck(boolean loginStrictCheck)

  - ### builder

    public static InetServSearchParam.Builder builder()